View Issue Details

IDProjectCategoryView StatusLast Update
0018260LazarusIDEpublic2011-01-11 09:24
ReporterStephanoAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0018260: Pave the way for a configurable IDE menu
DescriptionThe attached patch allows the creation of hidden/visible IDE menus so that in the future, the environment options can control what menu items will be visible on startup.
TagsNo tags attached.
Fixed in Revision28952
LazTarget0.99.0
Widgetset
Attached Files
  • IDEenhancements-HiddenMenus-2010-12-18.diff (1,386 bytes)
    Index: mainbase.pas
    ===================================================================
    --- mainbase.pas	(revision 28761)
    +++ mainbase.pas	(working copy)
    @@ -93,7 +93,8 @@
                                  const MenuItemName, MenuItemCaption: String;
                                  const bmpName: String = '';
                                  mnuEnabled: Boolean = true;
    -                             mnuChecked: Boolean = false);
    +                             mnuChecked: Boolean = false;
    +                             mnuVisible: Boolean = true);
         procedure CreateMenuSeparatorSection(ParentSection: TIDEMenuSection;
                                  var Section: TIDEMenuSection; const AName: String);
         procedure CreateMenuSubSection(ParentSection: TIDEMenuSection;
    @@ -303,11 +304,13 @@
     
     procedure TMainIDEBase.CreateMenuItem(Section: TIDEMenuSection;
       var MenuCommand: TIDEMenuCommand; const MenuItemName, MenuItemCaption: String;
    -  const bmpName: String; mnuEnabled: Boolean; mnuChecked: Boolean);
    +  const bmpName: String; mnuEnabled: Boolean; mnuChecked: Boolean;
    +  mnuVisible: Boolean);
     begin
       MenuCommand:=RegisterIDEMenuCommand(Section,MenuItemName,MenuItemCaption);
       MenuCommand.Enabled:=mnuEnabled;
       MenuCommand.Checked:=mnuChecked;
    +  MenuCommand.Visible:=mnuVisible;
       if bmpName<>'' then
         MenuCommand.ImageIndex := IDEImages.LoadImage(16, bmpName);
     end;
    
    

Relationships

related to 0018259 closedJuha Manninen IDE Build Lazarus enhancements 

Activities

2010-12-18 18:54

 

IDEenhancements-HiddenMenus-2010-12-18.diff (1,386 bytes)
Index: mainbase.pas
===================================================================
--- mainbase.pas	(revision 28761)
+++ mainbase.pas	(working copy)
@@ -93,7 +93,8 @@
                              const MenuItemName, MenuItemCaption: String;
                              const bmpName: String = '';
                              mnuEnabled: Boolean = true;
-                             mnuChecked: Boolean = false);
+                             mnuChecked: Boolean = false;
+                             mnuVisible: Boolean = true);
     procedure CreateMenuSeparatorSection(ParentSection: TIDEMenuSection;
                              var Section: TIDEMenuSection; const AName: String);
     procedure CreateMenuSubSection(ParentSection: TIDEMenuSection;
@@ -303,11 +304,13 @@
 
 procedure TMainIDEBase.CreateMenuItem(Section: TIDEMenuSection;
   var MenuCommand: TIDEMenuCommand; const MenuItemName, MenuItemCaption: String;
-  const bmpName: String; mnuEnabled: Boolean; mnuChecked: Boolean);
+  const bmpName: String; mnuEnabled: Boolean; mnuChecked: Boolean;
+  mnuVisible: Boolean);
 begin
   MenuCommand:=RegisterIDEMenuCommand(Section,MenuItemName,MenuItemCaption);
   MenuCommand.Enabled:=mnuEnabled;
   MenuCommand.Checked:=mnuChecked;
+  MenuCommand.Visible:=mnuVisible;
   if bmpName<>'' then
     MenuCommand.ImageIndex := IDEImages.LoadImage(16, bmpName);
 end;

Vincent Snijders

2010-12-18 19:40

manager   ~0044352

This feature might be useful for the educationlaz package.

Vincent Snijders

2010-12-18 22:19

manager   ~0044361

Target 0.99 to accept or reject this patch.

Paul Ishenin

2011-01-11 08:52

manager   ~0045086

Thanks, applied. Please close if ok.

Issue History

Date Modified Username Field Change
2010-12-18 18:54 Stephano New Issue
2010-12-18 18:54 Stephano File Added: IDEenhancements-HiddenMenus-2010-12-18.diff
2010-12-18 19:40 Vincent Snijders Note Added: 0044352
2010-12-18 22:19 Vincent Snijders LazTarget => 0.99.0
2010-12-18 22:19 Vincent Snijders Note Added: 0044361
2010-12-18 22:19 Vincent Snijders Status new => acknowledged
2010-12-18 22:19 Vincent Snijders Target Version => 0.99.0
2010-12-20 12:56 Juha Manninen Relationship added related to 0018259
2011-01-11 08:52 Paul Ishenin Fixed in Revision => 28952
2011-01-11 08:52 Paul Ishenin Status acknowledged => resolved
2011-01-11 08:52 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-01-11 08:52 Paul Ishenin Resolution open => fixed
2011-01-11 08:52 Paul Ishenin Assigned To => Paul Ishenin
2011-01-11 08:52 Paul Ishenin Note Added: 0045086
2011-01-11 09:24 Stephano Status resolved => closed